<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
	xmlns:html="http://www.w3.org/1999/xhtml"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	exclude-result-prefixes="xsl html">
	<xsl:output method="xml" indent="yes" />

	<xsl:template match="/">
		<rss version="2.0">
			<channel>
				<title>
					<xsl:value-of select="//html:title" />
				</title>
				<description>
					<xsl:value-of select="//html:meta[@name='description']/@content" />
				</description>
				<xsl:for-each select="//html:div[@class='anotation']">
					<item>
						<title>
							<xsl:value-of select=".//html:h2" />
						</title>
						<link>
							<xsl:text>http://interval.cz/</xsl:text>
							<xsl:value-of select=".//html:h2/html:a/@href" />
						</link>
						<description>
							<xsl:value-of select=".//html:p" />
						</description>
					</item>
				</xsl:for-each>
			</channel>
		</rss>
	</xsl:template>

</xsl:stylesheet>

  